X.Org Server 1.11.2

X.Org Server 1.11.2

    przez -
    13 211
    X.Org
    Jeremy Huddleston ogłosił wydanie kolejnej aktualizacji dla serii X.Org Server 1.11.2. Owa linia została wydana w sierpniu. Nowa wersja poprawia znalezione błędy w RandR, XQuartz, xkb oraz poprawia awarię z błędnymi obrazkami.

    Podobne artykuły

    • o_O

      Niestety oficjalne sterowniki nVidii słabo sobie radzą ze zmianami w ABI w Xorgu 1.11.x, więc ja zostaję na wersji 1.10 ;)

      • o_O

        Wydany przedwczoraj sterownik 275.36 zdaje się naprawiać problemy z nowym ABI.

        Jednak w przeciwieństwie do serii 285.x ma cały czas kilka błędów związanych z pamięcią, przez co niekiedy (głównie na KDE4) na ekranie rysowane są graficzne śmieci z pamięci.

        Ale wszystko wskazuje na to, że niedługo doczekamy się poprawionej wersji 285.x.

      • KDE 4 to ogółem ma problemy z Mesa właśnie przez jej złą lub niekompletną implementację OpenGL. ABI niby poprawili w poprzednim wydaniu, ale idzie to jak krew z nosa. W sumie najciekawsze jest to, że X.Org pod Mac OS X nie ma jakoś problemów z wyświetlaniem obrazu i działaniem płynnie, nawet po aktualizacji.

      • skoti

        @o_O: już 275.28 2 miesiące temu sobie radził bardzo dobrze. Co do 285.x to słabo, ale po to masz 290.x które radzą sobie dobrze i mają fajne nowinki, jak cache shaderów przez co nie musi kompilować co chwilę shaderów jak włączysz grę/program od nowa http://www.geeks3d.com/20111022/nvidia-r290-03-fo
        Wczoraj wydany został 290.06 który możesz ściągnąć z ftp://download.nvidia.com/XFree86/Linux-x86_64/290.06/

        @Michał Olber: Mesa ma niewiele wspólnego z Xami. Mesa ogólnie ma problemy z kompatybilnością i wiele programów z nią nie działa (dla przykładu Mozilla + WebGL), A co do MacOS X to mówisz faktycznie o Xach? Tam jest możliwe zainstalowanie Xów, ale to dla kompatybilności wstecznej i żaden normalny program z nich nie korzysta – w MacOS X to jest coś w stylu jakbyś w Wayland uruchomił Xorg – aplikacje pisane pod Wayland nie będzie interesowało jak działa Xorg, bo z niego nie korzystają.

      • o_O

        @skoti

        Poprzednie 275.x na starszych GPU (u mnie 8800) działało tragicznie wolno (przywieszenia rysowania na kilka sekund). Ten błąd zresztą został naprawiony właśnie w najnowszym wydaniu 275.36, więc ta wersja zaczęła być używalna.

        Co do 290.06 to jest to beta i nie ma jej oficjalnie na stronie pobierania. I podobno ma trochę błędów, wystarczy przejrzeć posty na forum nVidii.

        I jest ktoś mu w stanie powiedzieć po co wydają równolegle różne wersje: 275, 285, 290? Przecież one wszystkie obsługują te same GPU.

        Za to stery dla wcześniejszych modeli (173.1431) leżą nie ruszone od sierpnia i mają cały czas problemy z Xorgiem 1.11.x.

        PS. Przydałoby się zagnieżdżanie komentarzy ;)

      • skoti

        @o_O: Nie wiem jak na starszych (mam Fermi), ale 275.28 działał mi dobrze – 290.06 jeszcze nie używałem (290.03 za to pracował trochę dziwnie, i czasami nie aktualizował cache jak dostawał nieco zmieniony shader co było u mnie niedopuszczalne). Aktualnie używam 285.05.09 na Xserver 1.11.2 i działa całkiem całkiem (ma bugi i dla zwykłego użytkownika polecam bardziej 275.xx, ale dla mnie nowe OpenCL i OpenGL mają znaczenie (275 ma 4.1 i 1.0, a nie 4.2 i 1.1)).

        Równoległe wersje to oddzielenie funkcjonalności – 275, to starsza stabilniejsza seria, 28x to serie z OpenCL 1.1 i OpenGL 4.2 oraz innymi większymi zmianami. 290 to znowu cache i inne zmiany funkcjonalności – podobnie było przecież i w starych kartach i seriach – Twoją kartę obsługiwały sterowniki z serii 169.xx – dzięki takiemu wersjonowaniu po wersji można powiedzieć co obsługuje, a czego nie (znacznie bardziej czytelne niż daty u AMD).

        Co do 173.xx to jak można mieć pretensję kiedy jeszcze jest kiepsko w najnowszych u Nvidii, a u AMD nawet nie widać jakiegokolwiek wsparcia dla nowych Xów nawet dla najnowszych kart. Trzeba pamiętać, że najnowsze karty w 173 nie obsługiwane przez najnowsze serie sterowników to karty FX z 2003 i 2004 więc już w podeszłym wieku, a i tak zapewne zaraz dostaną aktualizację (jeśli dla porównania poda się karty Ati/AMD X1xxx z 2007 mają najnowsze sterowniki z marca 2009, i wspierają Xserver 1.5 to ten krótki czas nieaktualności sterowników dla kart 7-8 letnich i więcej, jest akceptowalny (tym bardziej, że zapewne i tak będą mieli sterowniki szybciej niż najnowsze karty od konkurencyjnego AMD)).

      • o_O

        @skoti

        Ale nie porównuj nawet do AMD bo to inna klasa jakości sterowników. Ja tak tylko sobie narzekam ;)

        Zainstalowałem 290.06 na nowym Xorgu i wygląda, że wszystko działa poprawnie. Przynajmniej na moje potrzeby.

    • Pingback: KahelOS 111111 | OSWorld.pl()

    • Pingback: Frugalware Linux 1.6 | OSWorld.pl()

    • Pingback: Frugalware Linux 1.6 - Linux mint, centos, ubuntu - OSWorld.pl - mały świat wielkich systemów!()

    • Pingback: Frugalware Linux 1.6 Pre 2 - Linux mint, centos, ubuntu - OSWorld.pl - mały świat wielkich systemów!()

    • Pingback: Frugalware Linux 1.6 Pre 2 - Linux mint, centos, ubuntu - OSWorld.pl - mały świat wielkich systemów!()

    • Pingback: Frugalware Linux 1.6 Pre 2 - Linux mint, centos, ubuntu - OSWorld.pl - mały świat wielkich systemów!()